libplist-utils_1.11-3_amd64.deb


Advertisement

Description

libplist-utils - Apple property list converter

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libplist-utils
Package version 1.11
Package release 3
Package architecture amd64
Package type deb
Installed size 64 B
Download size 9.53 KB
Official Mirror ftp.br.debian.org
This package containt tools to convert Apple property list files from binary
to XML and vice-versa. It's part of the libimobiledevice stack, providing
access to iDevices (iPod, iPhone, iPad ...).

Alternatives

Package Version Architecture Repository
libplist-utils_1.11-3_i386.deb 1.11 i386 Debian Main
libplist-utils - - -

Requires

Name Value
libc6 >= 2.2.5
libplist2 >= 1.11

Download

Type URL
Binary Package libplist-utils_1.11-3_amd64.deb
Source Package libplist

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libplist-utils deb package:
    # sudo apt-get install libplist-utils

Files

Path
/usr/bin/plistutil
/usr/share/doc/libplist-utils/changelog.Debian.gz
/usr/share/doc/libplist-utils/copyright
/usr/share/lintian/overrides/libplist-utils
/usr/share/man/man1/plistutil-1.11.1.gz
/usr/share/man/man1/plistutil.1.gz

Changelog

2014-03-29 - Chow Loong Jin <hyperair@debian.org>
libplist (1.11-3) unstable; urgency=medium
* [516e84a] Patch to fix endian detection (Closes: #742673)
* [df245be] Fix typo in libplist-doc description (Closes: #732766)
2014-03-26 - Chow Loong Jin <hyperair@debian.org>
libplist (1.11-2) unstable; urgency=medium
* Team upload
* [f625f06] Re-add .pxd file to python-plist.install.
Looks like it's needed by python-imobiledevice.
2014-03-25 - Chow Loong Jin <hyperair@debian.org>
libplist (1.11-1) unstable; urgency=medium
* Team upload
* [02a25b6] Imported Upstream version 1.11
* [a308129] Adapt packaging to use autotools
* [1e2ef46] Bump Standards-Version to 3.9.5 (no changes required)
* [cbdbd1a] Drop 03-remove-rpath.patch.
We don't need a patch to avoid rpath linkage with the new autotools build
system.
* [608a31e] Refresh 01-libs.private.patch
* [c0e674f] Build-dep on pkg-config
* [a5f8276] Rename libplist and libplist++ for SONAME bump
* [47cb416] Drop libplist++2.shlibs
* [406fb90] Call dpkg-gensymbols with -c4
* [8490574] Update install files for SONAME change and drop .pxd
* [cc8efd7] Drop *.la and *.a prior to dh_install
* [6fa64b7] Update .symbols files
2013-09-16 - Chow Loong Jin <hyperair@debian.org>
libplist (1.10-1) unstable; urgency=low
[ Julien Lavergne ]
* New upstream release (Closes: #706378)
* debian/rules:
- Remove workaround for moving plutil utils, since the name change
completely.
* debian/libplist++-dev.install:
- Install new files.
* debian/libplist1.symbols:
- Update symbols.
* debian/control:
- Update VCS fields.
- Update Standards-Version to 3.9.4.
- Remove dm-upload-allowed.
* debian/libplist++1.shlibs:
- Add a shlibs file, since symbols file is too unstable.
[ Chow Loong Jin ]
* debian/{control,rules}: Multiarchify things
* debian/control:
- Mark lib packages as multi-arch same
- Add dpkg-dev build-dep for default.mk include
* debian/libplist*1.install: Update paths in install files for multiarch
* debian/plistutils.manpages: Rename manpage to match binary rename
* debian/rules: Update LDFLAGS handling and drop CFLAGS override
* debian/lintian-overrides:
- Add lintian-overrides for hardening-no-fortify-functions
2012-07-20 - Julien Lavergne <julien.lavergne@gmail.com>
libplist (1.8-2) experimental; urgency=low
* debian/control:
- Replace build-depends on swig by cython, to enable python bindings made
by cython.
- Build-depends on debhelper (>= 9.20120417~) to fix hardening with cmake.
- Build-depends on chrpath.
- Update to Standards-Version: 3.9.3, no change needed.
* debian/python-plist.install:
- Update files installed by cython.
* debian/libplist++-dev.install:
- Remove the swig files.
* debian/rules:
- Remove files generated by swig.
- Remove rpath problem.
- Fix dh sequence order.
* debian/compat:
- Bump to 9.
2012-01-13 - Julien Lavergne <julien.lavergne@gmail.com>
libplist (1.8-1) unstable; urgency=low
* New upstream release.
2011-10-10 - Julien Lavergne <julien.lavergne@gmail.com>
libplist (1.7-1) unstable; urgency=low
* New upstream release.
* debian/rules:
- Run tests on all arches. 
* debian/README.Debian:
- Remove, since tests suit runs on all arches.
* debian/copyright:
- Fix DEP5 format.
2011-07-23 - Julien Lavergne <julien.lavergne@gmail.com>
libplist (1.6-2) unstable; urgency=medium
* debian/README.Debian :
- Add to mention supported archs.
* debian/rules:
- Only run the test suit on supported archs. (Closes: #633457).

See Also

Package Description
libplist2_1.11-3_amd64.deb Library for handling Apple binary and XML property lists
libpload-dev_1.4.6-1.1_amd64.deb Standards-based cluster framework, Pload devel files
libpload4_1.4.6-1.1_amd64.deb Standards-based cluster framework, Pload library
libploop-dev_1.12.1-1_amd64.deb ploop API development library
libploop1_1.12.1-1_amd64.deb ploop API library
libplot-dev_2.6-3_amd64.deb GNU plotutils libraries (development files)
libplot2c2_2.6-3_amd64.deb GNU plotutils libraries
libploticus0-dev_2.42-3+b2_amd64.deb Development files for the ploticus library
libploticus0_2.42-3+b2_amd64.deb script driven business graphics library
libplplot-ada1-dev_5.10.0+dfsg-1_amd64.deb Ada support for PLplot, a plotting library (development files)
libplplot-ada1_5.10.0+dfsg-1_amd64.deb Ada support for PLplot, a plotting library
libplplot-c++11_5.10.0+dfsg-1_amd64.deb Scientific plotting library (C++ binding)
libplplot-d_5.10.0+dfsg-1_amd64.deb Scientific plotting library (D language bindings)
libplplot-dev_5.10.0+dfsg-1_amd64.deb Scientific plotting library (development files)
libplplot-fortran10_5.10.0+dfsg-1_amd64.deb Scientific plotting library (fortran bindings)
Advertisement
Advertisement